Index: branches/2015/dev_r5072_UKMO2_OBS_simplification/NEMOGCM/EXTERNAL/AGRIF/LIB/fortran.c
===================================================================
--- branches/2015/dev_r5072_UKMO2_OBS_simplification/NEMOGCM/EXTERNAL/AGRIF/LIB/fortran.c	(revision 5659)
+++ branches/2015/dev_r5072_UKMO2_OBS_simplification/NEMOGCM/EXTERNAL/AGRIF/LIB/fortran.c	(revision 5682)
@@ -10120,969 +8514,913 @@
 case 1:
 YY_RULE_SETUP
+#line 101 "fortran.lex"
+{ return TOK_REAL8; }
+	YY_BREAK
+case 2:
+YY_RULE_SETUP
+#line 102 "fortran.lex"
+{ return TOK_SUBROUTINE; }
+	YY_BREAK
+case 3:
+YY_RULE_SETUP
+#line 103 "fortran.lex"
+{ return TOK_PROGRAM; }
+	YY_BREAK
+case 4:
+YY_RULE_SETUP
+#line 104 "fortran.lex"
+{ inallocate = 1; return TOK_ALLOCATE; }
+	YY_BREAK
+case 5:
+YY_RULE_SETUP
+#line 105 "fortran.lex"
+{ return TOK_NULLIFY; }
+	YY_BREAK
+case 6:
+YY_RULE_SETUP
+#line 106 "fortran.lex"
+{ return TOK_NULL_PTR; }
+	YY_BREAK
+case 7:
+YY_RULE_SETUP
+#line 107 "fortran.lex"
+{ inallocate = 1; return TOK_DEALLOCATE; }
+	YY_BREAK
+case 8:
+YY_RULE_SETUP
+#line 108 "fortran.lex"
+{ return TOK_RESULT; }
+	YY_BREAK
+case 9:
+YY_RULE_SETUP
+#line 109 "fortran.lex"
+{ return TOK_FUNCTION; }
+	YY_BREAK
+case 10:
+YY_RULE_SETUP
+#line 110 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_ENDPROGRAM;}
+	YY_BREAK
+case 11:
+YY_RULE_SETUP
 #line 111 "fortran.lex"
-return TOK_DEBUT;
-	YY_BREAK
-case 2:
+{ strcpy(yylval.na,fortran_text); return TOK_ENDMODULE; }
+	YY_BREAK
+case 12:
 YY_RULE_SETUP
 #line 112 "fortran.lex"
-return TOK_FIN;
-	YY_BREAK
-case 3:
+{ strcpy(yylval.na,fortran_text); return TOK_ENDSUBROUTINE;}
+	YY_BREAK
+case 13:
 YY_RULE_SETUP
 #line 113 "fortran.lex"
-return TOK_OMP;
-	YY_BREAK
-case 4:
+{ strcpy(yylval.na,fortran_text); return TOK_ENDFUNCTION;}
+	YY_BREAK
+case 14:
 YY_RULE_SETUP
 #line 114 "fortran.lex"
-return TOK_DOLLAR;
-	YY_BREAK
-case 5:
+{ strcpy(yylval.na,fortran_text); return TOK_ENDUNIT;}
+	YY_BREAK
+case 15:
+YY_RULE_SETUP
+#line 115 "fortran.lex"
+{ pos_curinclude = setposcur()-9; return TOK_INCLUDE;}
+	YY_BREAK
+case 16:
 YY_RULE_SETUP
 #line 116 "fortran.lex"
-{return TOK_REAL8;}
-	YY_BREAK
-case 6:
-YY_RULE_SETUP
-#line 117 "fortran.lex"
-{return TOK_SUBROUTINE;}
-	YY_BREAK
-case 7:
-YY_RULE_SETUP
-#line 118 "fortran.lex"
-{return TOK_PROGRAM;}
-	YY_BREAK
-case 8:
-YY_RULE_SETUP
-#line 119 "fortran.lex"
-{inallocate = 1; return TOK_ALLOCATE;}
-	YY_BREAK
-case 9:
-YY_RULE_SETUP
-#line 120 "fortran.lex"
-{return TOK_NULLIFY;}
-	YY_BREAK
-case 10:
-YY_RULE_SETUP
-#line 121 "fortran.lex"
-{inallocate = 1; return TOK_DEALLOCATE;}
-	YY_BREAK
-case 11:
+{ strcpy(yylval.na,fortran_text);
+                              tmpc = (char) input(); unput(tmpc);
+                              if ( ( tmpc >= 'a' && tmpc <= 'z' ) ||
+                                   ( tmpc >= 'A' && tmpc <= 'Z' )  )  return TOK_USE;
+                              else                                    return TOK_NAME;
+                            }
+	YY_BREAK
+case 17:
 YY_RULE_SETUP
 #line 122 "fortran.lex"
-{return TOK_RESULT;}
-	YY_BREAK
-case 12:
+{ return TOK_REWIND; }
+	YY_BREAK
+case 18:
 YY_RULE_SETUP
 #line 123 "fortran.lex"
-{return TOK_FUNCTION;}
-	YY_BREAK
-case 13:
+{ return TOK_IMPLICIT; }
+	YY_BREAK
+case 19:
 YY_RULE_SETUP
 #line 124 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_ENDSUBROUTINE;}
-	YY_BREAK
-case 14:
+{ return TOK_NONE; }
+	YY_BREAK
+case 20:
 YY_RULE_SETUP
 #line 125 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_ENDPROGRAM;}
-	YY_BREAK
-case 15:
+{ return TOK_CALL; }
+	YY_BREAK
+case 21:
 YY_RULE_SETUP
 #line 126 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_ENDFUNCTION;}
-	YY_BREAK
-case 16:
+{ return TOK_TRUE; }
+	YY_BREAK
+case 22:
 YY_RULE_SETUP
 #line 127 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_ENDUNIT;}
-	YY_BREAK
-case 17:
+{ return TOK_FALSE; }
+	YY_BREAK
+case 23:
 YY_RULE_SETUP
 #line 128 "fortran.lex"
-return TOK_INCLUDE;
-	YY_BREAK
-case 18:
+{ return TOK_POINT_TO; }
+	YY_BREAK
+case 24:
 YY_RULE_SETUP
 #line 129 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_ASSIGNTYPE;}
+	YY_BREAK
+case 25:
+YY_RULE_SETUP
+#line 130 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_DASTER; }
+	YY_BREAK
+case 26:
+YY_RULE_SETUP
+#line 131 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_EQV; }
+	YY_BREAK
+case 27:
+YY_RULE_SETUP
+#line 132 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_EQ;  }
+	YY_BREAK
+case 28:
+YY_RULE_SETUP
+#line 133 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_GT;  }
+	YY_BREAK
+case 29:
+YY_RULE_SETUP
+#line 134 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_GE;  }
+	YY_BREAK
+case 30:
+YY_RULE_SETUP
+#line 135 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_LT;  }
+	YY_BREAK
+case 31:
+YY_RULE_SETUP
+#line 136 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_LE;  }
+	YY_BREAK
+case 32:
+YY_RULE_SETUP
+#line 137 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_NEQV;}
+	YY_BREAK
+case 33:
+YY_RULE_SETUP
+#line 138 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_NE;  }
+	YY_BREAK
+case 34:
+YY_RULE_SETUP
+#line 139 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_NOT; }
+	YY_BREAK
+case 35:
+YY_RULE_SETUP
+#line 140 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_OR;  }
+	YY_BREAK
+case 36:
+YY_RULE_SETUP
+#line 141 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_XOR; }
+	YY_BREAK
+case 37:
+YY_RULE_SETUP
+#line 142 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_AND; }
+	YY_BREAK
+case 38:
+YY_RULE_SETUP
+#line 143 "fortran.lex"
+{ return TOK_MODULE; }
+	YY_BREAK
+case 39:
+YY_RULE_SETUP
+#line 144 "fortran.lex"
+{ return TOK_WHILE; }
+	YY_BREAK
+case 40:
+YY_RULE_SETUP
+#line 145 "fortran.lex"
+{ return TOK_CONCURRENT; }
+	YY_BREAK
+case 41:
+YY_RULE_SETUP
+#line 146 "fortran.lex"
+{ return TOK_ENDDO; }
+	YY_BREAK
+case 42:
+YY_RULE_SETUP
+#line 147 "fortran.lex"
+{ return TOK_PLAINDO;}
+	YY_BREAK
+case 43:
+YY_RULE_SETUP
+#line 148 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_REAL; }
+	YY_BREAK
+case 44:
+YY_RULE_SETUP
+#line 149 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_INTEGER; }
+	YY_BREAK
+case 45:
+YY_RULE_SETUP
+#line 150 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_LOGICAL; }
+	YY_BREAK
+case 46:
+YY_RULE_SETUP
+#line 151 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_CHARACTER; }
+	YY_BREAK
+case 47:
+YY_RULE_SETUP
+#line 152 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_HEXA;}
+	YY_BREAK
+case 48:
+YY_RULE_SETUP
+#line 153 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_DOUBLEPRECISION; }
+	YY_BREAK
+case 49:
+YY_RULE_SETUP
+#line 154 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_DOUBLECOMPLEX; }
+	YY_BREAK
+case 50:
+YY_RULE_SETUP
+#line 155 "fortran.lex"
+{ return TOK_COMPLEX; }
+	YY_BREAK
+case 51:
+YY_RULE_SETUP
+#line 156 "fortran.lex"
+{ return TOK_ALLOCATABLE; }
+	YY_BREAK
+case 52:
+YY_RULE_SETUP
+#line 157 "fortran.lex"
+{ return TOK_CLOSE; }
+	YY_BREAK
+case 53:
+YY_RULE_SETUP
+#line 158 "fortran.lex"
+{ return TOK_INQUIRE; }
+	YY_BREAK
+case 54:
+YY_RULE_SETUP
+#line 159 "fortran.lex"
+{ return TOK_DIMENSION; }
+	YY_BREAK
+case 55:
+YY_RULE_SETUP
+#line 160 "fortran.lex"
+{ return TOK_PAUSE; }
+	YY_BREAK
+case 56:
+YY_RULE_SETUP
+#line 161 "fortran.lex"
+{ return TOK_EQUIVALENCE; }
+	YY_BREAK
+case 57:
+YY_RULE_SETUP
+#line 162 "fortran.lex"
+{ return TOK_STOP; }
+	YY_BREAK
+case 58:
+YY_RULE_SETUP
+#line 163 "fortran.lex"
+{ return TOK_WHERE; }
+	YY_BREAK
+case 59:
+YY_RULE_SETUP
+#line 164 "fortran.lex"
+{ return TOK_ENDWHERE; }
+	YY_BREAK
+case 60:
+YY_RULE_SETUP
+#line 165 "fortran.lex"
+{ return TOK_ELSEWHEREPAR; }
+	YY_BREAK
+case 61:
+YY_RULE_SETUP
+#line 166 "fortran.lex"
+{ return TOK_ELSEWHERE; }
+	YY_BREAK
+case 62:
+YY_RULE_SETUP
+#line 167 "fortran.lex"
+{ return TOK_CONTAINS; }
+	YY_BREAK
+case 63:
+YY_RULE_SETUP
+#line 168 "fortran.lex"
+{ return TOK_ONLY; }
+	YY_BREAK
+case 64:
+YY_RULE_SETUP
+#line 169 "fortran.lex"
+{ return TOK_PARAMETER; }
+	YY_BREAK
+case 65:
+YY_RULE_SETUP
+#line 170 "fortran.lex"
+{ return TOK_RECURSIVE; }
+	YY_BREAK
+case 66:
+YY_RULE_SETUP
+#line 171 "fortran.lex"
+{ return TOK_COMMON; }
+	YY_BREAK
+case 67:
+YY_RULE_SETUP
+#line 172 "fortran.lex"
+{ return TOK_GLOBAL; }
+	YY_BREAK
+case 68:
+YY_RULE_SETUP
+#line 173 "fortran.lex"
+{ return TOK_EXTERNAL; }
+	YY_BREAK
+case 69:
+YY_RULE_SETUP
+#line 174 "fortran.lex"
+{ return TOK_INTENT; }
+	YY_BREAK
+case 70:
+YY_RULE_SETUP
+#line 175 "fortran.lex"
+{ return TOK_POINTER; }
+	YY_BREAK
+case 71:
+YY_RULE_SETUP
+#line 176 "fortran.lex"
+{ return TOK_OPTIONAL; }
+	YY_BREAK
+case 72:
+YY_RULE_SETUP
+#line 177 "fortran.lex"
+{ return TOK_SAVE; }
+	YY_BREAK
+case 73:
+YY_RULE_SETUP
+#line 178 "fortran.lex"
+{ pos_cur_decl = setposcur()-5; return TOK_TYPEPAR; }
+	YY_BREAK
+case 74:
+YY_RULE_SETUP
+#line 179 "fortran.lex"
+{ return TOK_TYPE; }
+	YY_BREAK
+case 75:
+YY_RULE_SETUP
+#line 180 "fortran.lex"
+{ return TOK_ENDTYPE; }
+	YY_BREAK
+case 76:
+YY_RULE_SETUP
+#line 181 "fortran.lex"
+{ if (inallocate == 1) return TOK_STAT; else { strcpy(yylval.na,fortran_text); return TOK_NAME; } }
+	YY_BREAK
+case 77:
+YY_RULE_SETUP
+#line 182 "fortran.lex"
+{ return TOK_OPEN; }
+	YY_BREAK
+case 78:
+YY_RULE_SETUP
+#line 183 "fortran.lex"
+{ return TOK_RETURN; }
+	YY_BREAK
+case 79:
+/* rule 79 can match eol */
+YY_RULE_SETUP
+#line 184 "fortran.lex"
+{ return TOK_EXIT; }
+	YY_BREAK
+case 80:
+YY_RULE_SETUP
+#line 185 "fortran.lex"
+{ return TOK_PRINT; }
+	YY_BREAK
+case 81:
+YY_RULE_SETUP
+#line 186 "fortran.lex"
+{ return TOK_PROCEDURE; }
+	YY_BREAK
+case 82:
+YY_RULE_SETUP
+#line 187 "fortran.lex"
+{ return TOK_READ; }
+	YY_BREAK
+case 83:
+YY_RULE_SETUP
+#line 188 "fortran.lex"
+{ return TOK_NAMELIST; }
+	YY_BREAK
+case 84:
+YY_RULE_SETUP
+#line 189 "fortran.lex"
+{ return TOK_WRITE; }
+	YY_BREAK
+case 85:
+YY_RULE_SETUP
+#line 190 "fortran.lex"
+{ return TOK_FLUSH; }
+	YY_BREAK
+case 86:
+YY_RULE_SETUP
+#line 191 "fortran.lex"
+{ return TOK_TARGET; }
+	YY_BREAK
+case 87:
+YY_RULE_SETUP
+#line 192 "fortran.lex"
+{ return TOK_PUBLIC; }
+	YY_BREAK
+case 88:
+YY_RULE_SETUP
+#line 193 "fortran.lex"
+{ return TOK_PRIVATE; }
+	YY_BREAK
+case 89:
+YY_RULE_SETUP
+#line 194 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_IN; }
+	YY_BREAK
+case 90:
+YY_RULE_SETUP
+#line 195 "fortran.lex"
+{ pos_curdata = setposcur()-strlen(fortran_text); Init_List_Data_Var(); return TOK_DATA; }
+	YY_BREAK
+case 91:
+YY_RULE_SETUP
+#line 196 "fortran.lex"
+{ return TOK_CONTINUE; }
+	YY_BREAK
+case 92:
+YY_RULE_SETUP
+#line 197 "fortran.lex"
+{ return TOK_PLAINGOTO; }
+	YY_BREAK
+case 93:
+YY_RULE_SETUP
+#line 198 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_OUT; }
+	YY_BREAK
+case 94:
+YY_RULE_SETUP
+#line 199 "fortran.lex"
+{ strcpy(yylval.na,fortran_text); return TOK_INOUT; }
+	YY_BREAK
+case 95:
+YY_RULE_SETUP
+#line 200 "fortran.lex"
+{ return TOK_INTRINSIC; }
+	YY_BREAK
+case 96:
+YY_RULE_SETUP
+#line 201 "fortran.lex"
+{ return TOK_THEN; }
+	YY_BREAK
+case 97:
+YY_RULE_SETUP
+#line 202 "fortran.lex"
+{ return TOK_ELSEIF; }
+	YY_BREAK
+case 98:
+YY_RULE_SETUP
+#line 203 "fortran.lex"
+{ return TOK_ELSE; }
+	YY_BREAK
+case 99:
+YY_RULE_SETUP
+#line 204 "fortran.lex"
+{ return TOK_ENDIF; }
+	YY_BREAK
+case 100:
+YY_RULE_SETUP
+#line 205 "fortran.lex"
+{ return TOK_LOGICALIF; }
+	YY_BREAK
+case 101:
+YY_RULE_SETUP
+#line 206 "fortran.lex"
+{ return TOK_SUM; }
+	YY_BREAK
+case 102:
+YY_RULE_SETUP
+#line 207 "fortran.lex"
+{ return TOK_MAX; }
+	YY_BREAK
+case 103:
+YY_RULE_SETUP
+#line 208 "fortran.lex"
+{ return TOK_TANH; }
+	YY_BREAK
+case 104:
+YY_RULE_SETUP
+#line 209 "fortran.lex"
+{ return TOK_MAXVAL; }
+	YY_BREAK
+case 105:
+YY_RULE_SETUP
+#line 210 "fortran.lex"
+{ return TOK_TRIM; }
+	YY_BREAK
+case 106:
+YY_RULE_SETUP
+#line 211 "fortran.lex"
+{ return TOK_SQRT; }
+	YY_BREAK
+case 107:
+YY_RULE_SETUP
+#line 212 "fortran.lex"
+{ return TOK_SELECTCASE; }
+	YY_BREAK
+case 108:
+YY_RULE_SETUP
+#line 213 "fortran.lex"
+{ return TOK_CASE; }
+	YY_BREAK
+case 109:
+YY_RULE_SETUP
+#line 214 "fortran.lex"
+{ return TOK_DEFAULT; }
+	YY_BREAK
+case 110:
+YY_RULE_SETUP
+#line 215 "fortran.lex"
+{ return TOK_ENDSELECT; }
+	YY_BREAK
+case 111:
+YY_RULE_SETUP
+#line 216 "fortran.lex"
+{ return TOK_FILE; }
+	YY_BREAK
+case 112:
+YY_RULE_SETUP
+#line 217 "fortran.lex"
+{ return TOK_UNIT; }
+	YY_BREAK
+case 113:
+YY_RULE_SETUP
+#line 218 "fortran.lex"
+{ return TOK_FMT; }
+	YY_BREAK
+case 114:
+YY_RULE_SETUP
+#line 219 "fortran.lex"
+{ return TOK_NML; }
+	YY_BREAK
+case 115:
+YY_RULE_SETUP
+#line 220 "fortran.lex"
+{ return TOK_END; }
+	YY_BREAK
+case 116:
+YY_RULE_SETUP
+#line 221 "fortran.lex"
+{ return TOK_EOR; }
+	YY_BREAK
+case 117:
+YY_RULE_SETUP
+#line 222 "fortran.lex"
+{ return TOK_ERR; }
+	YY_BREAK
+case 118:
+YY_RULE_SETUP
+#line 223 "fortran.lex"
+{ return TOK_EXIST; }
+	YY_BREAK
+case 119:
+YY_RULE_SETUP
+#line 224 "fortran.lex"
+{ return TOK_MIN; }
+	YY_BREAK
+case 120:
+YY_RULE_SETUP
+#line 225 "fortran.lex"
+{ return TOK_NINT; }
+	YY_BREAK
+case 121:
+YY_RULE_SETUP
+#line 226 "fortran.lex"
+{ return TOK_FLOAT; }
+	YY_BREAK
+case 122:
+YY_RULE_SETUP
+#line 227 "fortran.lex"
+{ return TOK_EXP; }
+	YY_BREAK
+case 123:
+YY_RULE_SETUP
+#line 228 "fortran.lex"
+{ return TOK_COS; }
+	YY_BREAK
+case 124:
+YY_RULE_SETUP
+#line 229 "fortran.lex"
+{ return TOK_COSH; }
+	YY_BREAK
+case 125:
+YY_RULE_SETUP
+#line 230 "fortran.lex"
+{ return TOK_ACOS; }
+	YY_BREAK
+case 126:
+YY_RULE_SETUP
+#line 231 "fortran.lex"
+{ return TOK_SIN; }
+	YY_BREAK
+case 127:
+YY_RULE_SETUP
+#line 232 "fortran.lex"
+{ return TOK_SINH; }
+	YY_BREAK
+case 128:
+YY_RULE_SETUP
+#line 233 "fortran.lex"
+{ return TOK_ASIN; }
+	YY_BREAK
+case 129:
+YY_RULE_SETUP
+#line 234 "fortran.lex"
+{ return TOK_LOG; }
+	YY_BREAK
+case 130:
+YY_RULE_SETUP
+#line 235 "fortran.lex"
+{ return TOK_TAN; }
+	YY_BREAK
+case 131:
+YY_RULE_SETUP
+#line 236 "fortran.lex"
+{ return TOK_ATAN; }
+	YY_BREAK
+case 132:
+YY_RULE_SETUP
+#line 237 "fortran.lex"
+{ return TOK_CYCLE; }
+	YY_BREAK
+case 133:
+YY_RULE_SETUP
+#line 238 "fortran.lex"
+{ return TOK_ABS; }
+	YY_BREAK
+case 134:
+YY_RULE_SETUP
+#line 239 "fortran.lex"
+{ return TOK_MOD; }
+	YY_BREAK
+case 135:
+YY_RULE_SETUP
+#line 240 "fortran.lex"
+{ return TOK_SIGN; }
+	YY_BREAK
+case 136:
+YY_RULE_SETUP
+#line 241 "fortran.lex"
+{ return TOK_MINLOC; }
+	YY_BREAK
+case 137:
+YY_RULE_SETUP
+#line 242 "fortran.lex"
+{ return TOK_MAXLOC; }
+	YY_BREAK
+case 138:
+YY_RULE_SETUP
+#line 243 "fortran.lex"
+{ return TOK_MINVAL; }
+	YY_BREAK
+case 139:
+YY_RULE_SETUP
+#line 244 "fortran.lex"
+{ return TOK_BACKSPACE; }
+	YY_BREAK
+case 140:
+YY_RULE_SETUP
+#line 245 "fortran.lex"
+{ return TOK_FOURDOTS;  }
+	YY_BREAK
+case 141:
+YY_RULE_SETUP
+#line 246 "fortran.lex"
+{ return TOK_LEFTAB; }
+	YY_BREAK
+case 142:
+YY_RULE_SETUP
+#line 247 "fortran.lex"
+{ return TOK_RIGHTAB; }
+	YY_BREAK
+case 143:
+/* rule 143 can match eol */
+YY_RULE_SETUP
+#line 248 "fortran.lex"
 {
-                            strcpy(yylval.na,fortrantext);
-                            tmpc = input();
-                            unput(tmpc);
-                            if ( (
-                               tmpc >= 'a' && tmpc <= 'z'
-                                  ) || (
-                               tmpc >= 'A' && tmpc <= 'Z'
-                               )  )
-                               {
-                                  return TOK_USE;
-                               }
-                               else
-                               {
-                                  return TOK_NAME;
-                               }
-                         }
-	YY_BREAK
-case 19:
-YY_RULE_SETUP
-#line 146 "fortran.lex"
-{return TOK_REWIND;}
-	YY_BREAK
-case 20:
-YY_RULE_SETUP
-#line 147 "fortran.lex"
-return TOK_IMPLICIT;
-	YY_BREAK
-case 21:
-YY_RULE_SETUP
-#line 148 "fortran.lex"
-return TOK_NONE;
-	YY_BREAK
-case 22:
-YY_RULE_SETUP
-#line 149 "fortran.lex"
-return TOK_CALL;
-	YY_BREAK
-case 23:
-YY_RULE_SETUP
-#line 150 "fortran.lex"
-return TOK_TRUE;
-	YY_BREAK
-case 24:
-YY_RULE_SETUP
-#line 151 "fortran.lex"
-return TOK_FALSE;
-	YY_BREAK
-case 25:
-YY_RULE_SETUP
-#line 152 "fortran.lex"
-{return TOK_POINT_TO;}
-	YY_BREAK
-case 26:
-YY_RULE_SETUP
-#line 153 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_DASTER;}
-	YY_BREAK
-case 27:
-YY_RULE_SETUP
-#line 154 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_EQV;}
-	YY_BREAK
-case 28:
-YY_RULE_SETUP
-#line 155 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_EQ;}
-	YY_BREAK
-case 29:
-YY_RULE_SETUP
-#line 156 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_GT;}
-	YY_BREAK
-case 30:
-YY_RULE_SETUP
-#line 157 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_GE;}
-	YY_BREAK
-case 31:
-YY_RULE_SETUP
-#line 158 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_LT;}
-	YY_BREAK
-case 32:
-YY_RULE_SETUP
-#line 159 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_LE;}
-	YY_BREAK
-case 33:
-YY_RULE_SETUP
-#line 160 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_NEQV;}
-	YY_BREAK
-case 34:
-YY_RULE_SETUP
-#line 161 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_NE;}
-	YY_BREAK
-case 35:
-YY_RULE_SETUP
-#line 162 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_NOT;}
-	YY_BREAK
-case 36:
-YY_RULE_SETUP
-#line 163 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_OR;}
-	YY_BREAK
-case 37:
-YY_RULE_SETUP
-#line 164 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_XOR;}
-	YY_BREAK
-case 38:
-YY_RULE_SETUP
-#line 165 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_AND;}
-	YY_BREAK
-case 39:
-YY_RULE_SETUP
-#line 166 "fortran.lex"
-{return TOK_MODULE;}
-	YY_BREAK
-case 40:
-YY_RULE_SETUP
-#line 167 "fortran.lex"
-{return TOK_DOWHILE;}
-	YY_BREAK
-case 41:
-YY_RULE_SETUP
-#line 168 "fortran.lex"
-return TOK_ENDMODULE;
-	YY_BREAK
-case 42:
-YY_RULE_SETUP
-#line 169 "fortran.lex"
-return TOK_ENDDO;
-	YY_BREAK
-case 43:
-YY_RULE_SETUP
-#line 170 "fortran.lex"
-{return TOK_PLAINDO;}
-	YY_BREAK
-case 44:
-YY_RULE_SETUP
-#line 171 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_REAL;}
-	YY_BREAK
-case 45:
-YY_RULE_SETUP
-#line 172 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_INTEGER;}
-	YY_BREAK
-case 46:
-YY_RULE_SETUP
-#line 173 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_LOGICAL;}
-	YY_BREAK
-case 47:
-YY_RULE_SETUP
-#line 174 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_CHARACTER;}
-	YY_BREAK
-case 48:
-YY_RULE_SETUP
-#line 175 "fortran.lex"
-{return TOK_ALLOCATABLE;}
-	YY_BREAK
-case 49:
-YY_RULE_SETUP
-#line 176 "fortran.lex"
-return TOK_CLOSE;
-	YY_BREAK
-case 50:
-YY_RULE_SETUP
-#line 177 "fortran.lex"
-return TOK_INQUIRE;
-	YY_BREAK
-case 51:
-YY_RULE_SETUP
-#line 178 "fortran.lex"
-{return TOK_DIMENSION;}
-	YY_BREAK
-case 52:
-YY_RULE_SETUP
-#line 179 "fortran.lex"
-return TOK_PAUSE;
-	YY_BREAK
-case 53:
-YY_RULE_SETUP
-#line 180 "fortran.lex"
-return TOK_EQUIVALENCE;
-	YY_BREAK
-case 54:
-YY_RULE_SETUP
-#line 181 "fortran.lex"
-return TOK_STOP;
-	YY_BREAK
-case 55:
-YY_RULE_SETUP
-#line 182 "fortran.lex"
-return TOK_WHERE;
-	YY_BREAK
-case 56:
-YY_RULE_SETUP
-#line 183 "fortran.lex"
-return TOK_ENDWHERE;
-	YY_BREAK
-case 57:
-YY_RULE_SETUP
-#line 184 "fortran.lex"
-return TOK_ELSEWHERE;
-	YY_BREAK
-case 58:
-YY_RULE_SETUP
-#line 185 "fortran.lex"
-{return TOK_COMPLEX;}
-	YY_BREAK
-case 59:
-YY_RULE_SETUP
-#line 186 "fortran.lex"
-{return TOK_CONTAINS;}
-	YY_BREAK
-case 60:
-YY_RULE_SETUP
-#line 187 "fortran.lex"
-{return TOK_ONLY;}
-	YY_BREAK
-case 61:
-YY_RULE_SETUP
-#line 188 "fortran.lex"
-{return TOK_PARAMETER;}
-	YY_BREAK
-case 62:
-YY_RULE_SETUP
-#line 189 "fortran.lex"
-{return TOK_RECURSIVE;}
-	YY_BREAK
-case 63:
-YY_RULE_SETUP
-#line 190 "fortran.lex"
-{return TOK_COMMON;}
-	YY_BREAK
-case 64:
-YY_RULE_SETUP
-#line 191 "fortran.lex"
-{return TOK_GLOBAL;}
-	YY_BREAK
-case 65:
-YY_RULE_SETUP
-#line 192 "fortran.lex"
-{return TOK_EXTERNAL;}
-	YY_BREAK
-case 66:
-YY_RULE_SETUP
-#line 193 "fortran.lex"
-{return TOK_INTENT;}
-	YY_BREAK
-case 67:
-YY_RULE_SETUP
-#line 194 "fortran.lex"
-{return TOK_POINTER;}
-	YY_BREAK
-case 68:
-YY_RULE_SETUP
-#line 195 "fortran.lex"
-{return TOK_OPTIONAL;}
-	YY_BREAK
-case 69:
-YY_RULE_SETUP
-#line 196 "fortran.lex"
-{return TOK_SAVE;}
-	YY_BREAK
-case 70:
-YY_RULE_SETUP
-#line 197 "fortran.lex"
-{return TOK_TYPE;}
-	YY_BREAK
-case 71:
-YY_RULE_SETUP
-#line 198 "fortran.lex"
-{return TOK_TYPEPAR;}
-	YY_BREAK
-case 72:
-YY_RULE_SETUP
-#line 199 "fortran.lex"
-{if (inallocate == 1) return TOK_STAT; else {strcpy(yylval.na,fortrantext);return TOK_NAME;}}
-	YY_BREAK
-case 73:
-YY_RULE_SETUP
-#line 200 "fortran.lex"
-{return TOK_ENDTYPE;}
-	YY_BREAK
-case 74:
-YY_RULE_SETUP
-#line 201 "fortran.lex"
-return TOK_OPEN;
-	YY_BREAK
-case 75:
-YY_RULE_SETUP
-#line 202 "fortran.lex"
-return TOK_RETURN;
-	YY_BREAK
-case 76:
-/* rule 76 can match eol */
-YY_RULE_SETUP
-#line 203 "fortran.lex"
-return TOK_EXIT;
-	YY_BREAK
-case 77:
-YY_RULE_SETUP
-#line 204 "fortran.lex"
-return TOK_PRINT;
-	YY_BREAK
-case 78:
-YY_RULE_SETUP
-#line 205 "fortran.lex"
-{return TOK_PROCEDURE;}
-	YY_BREAK
-case 79:
-YY_RULE_SETUP
-#line 206 "fortran.lex"
-{return TOK_READ;}
-	YY_BREAK
-case 80:
-YY_RULE_SETUP
-#line 207 "fortran.lex"
-{return TOK_NAMELIST;}
-	YY_BREAK
-case 81:
-YY_RULE_SETUP
-#line 208 "fortran.lex"
-{return TOK_WRITE;}
-	YY_BREAK
-case 82:
-YY_RULE_SETUP
-#line 209 "fortran.lex"
-{return TOK_TARGET;}
-	YY_BREAK
-case 83:
-YY_RULE_SETUP
-#line 210 "fortran.lex"
-{return TOK_PUBLIC;}
-	YY_BREAK
-case 84:
-YY_RULE_SETUP
-#line 211 "fortran.lex"
-{return TOK_PRIVATE;}
-	YY_BREAK
-case 85:
-YY_RULE_SETUP
-#line 212 "fortran.lex"
-{strcpy(yylval.nac,fortrantext);return TOK_IN;}
-	YY_BREAK
-case 86:
-YY_RULE_SETUP
-#line 213 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_DATA;}
-	YY_BREAK
-case 87:
-YY_RULE_SETUP
-#line 214 "fortran.lex"
-return TOK_CONTINUE;
-	YY_BREAK
-case 88:
-YY_RULE_SETUP
-#line 215 "fortran.lex"
-{return TOK_PLAINGOTO;}
-	YY_BREAK
-case 89:
-YY_RULE_SETUP
-#line 216 "fortran.lex"
-{strcpy(yylval.nac,fortrantext);return TOK_OUT;}
-	YY_BREAK
-case 90:
-YY_RULE_SETUP
-#line 217 "fortran.lex"
-{strcpy(yylval.nac,fortrantext);return TOK_INOUT;}
-	YY_BREAK
-case 91:
-YY_RULE_SETUP
-#line 218 "fortran.lex"
-{return TOK_INTRINSIC;}
-	YY_BREAK
-case 92:
-YY_RULE_SETUP
-#line 219 "fortran.lex"
-{return TOK_THEN;}
-	YY_BREAK
-case 93:
-YY_RULE_SETUP
-#line 220 "fortran.lex"
-{return TOK_ELSEIF;}
-	YY_BREAK
-case 94:
-YY_RULE_SETUP
-#line 221 "fortran.lex"
-{return TOK_ELSE;}
-	YY_BREAK
-case 95:
-YY_RULE_SETUP
-#line 222 "fortran.lex"
-{return TOK_ENDIF;}
-	YY_BREAK
-case 96:
-YY_RULE_SETUP
-#line 223 "fortran.lex"
-{return TOK_LOGICALIF;}
-	YY_BREAK
-case 97:
-YY_RULE_SETUP
-#line 224 "fortran.lex"
-{return TOK_SUM;}
-	YY_BREAK
-case 98:
-YY_RULE_SETUP
-#line 225 "fortran.lex"
-{return TOK_MAX;}
-	YY_BREAK
-case 99:
-YY_RULE_SETUP
-#line 226 "fortran.lex"
-{return TOK_TANH;}
-	YY_BREAK
-case 100:
-YY_RULE_SETUP
-#line 227 "fortran.lex"
-{return TOK_MAXVAL;}
-	YY_BREAK
-case 101:
-YY_RULE_SETUP
-#line 228 "fortran.lex"
-{return TOK_TRIM;}
-	YY_BREAK
-case 102:
-YY_RULE_SETUP
-#line 229 "fortran.lex"
-{return TOK_SQRT;}
-	YY_BREAK
-case 103:
-YY_RULE_SETUP
-#line 230 "fortran.lex"
-{return TOK_SELECTCASE;}
-	YY_BREAK
-case 104:
-YY_RULE_SETUP
-#line 231 "fortran.lex"
-{return TOK_CASE;}
-	YY_BREAK
-case 105:
-YY_RULE_SETUP
-#line 232 "fortran.lex"
-{return TOK_CASEDEFAULT;}
-	YY_BREAK
-case 106:
-YY_RULE_SETUP
-#line 233 "fortran.lex"
-{return TOK_ENDSELECT;}
-	YY_BREAK
-case 107:
-YY_RULE_SETUP
-#line 234 "fortran.lex"
-{return TOK_FILE;}
-	YY_BREAK
-case 108:
-YY_RULE_SETUP
-#line 235 "fortran.lex"
-{return TOK_END;}
-	YY_BREAK
-case 109:
-YY_RULE_SETUP
-#line 236 "fortran.lex"
-{return TOK_ERR;}
-	YY_BREAK
-case 110:
-YY_RULE_SETUP
-#line 237 "fortran.lex"
-{return TOK_EXIST;}
-	YY_BREAK
-case 111:
-YY_RULE_SETUP
-#line 238 "fortran.lex"
-{return TOK_MIN;}
-	YY_BREAK
-case 112:
-YY_RULE_SETUP
-#line 239 "fortran.lex"
-{return TOK_NINT;}
-	YY_BREAK
-case 113:
-YY_RULE_SETUP
-#line 240 "fortran.lex"
-{return TOK_FLOAT;}
-	YY_BREAK
-case 114:
-YY_RULE_SETUP
-#line 241 "fortran.lex"
-{return TOK_EXP;}
-	YY_BREAK
-case 115:
-YY_RULE_SETUP
-#line 242 "fortran.lex"
-{return TOK_COS;}
-	YY_BREAK
-case 116:
-YY_RULE_SETUP
-#line 243 "fortran.lex"
-{return TOK_COSH;}
-	YY_BREAK
-case 117:
-YY_RULE_SETUP
-#line 244 "fortran.lex"
-{return TOK_ACOS;}
-	YY_BREAK
-case 118:
-YY_RULE_SETUP
-#line 245 "fortran.lex"
-{return TOK_SIN;}
-	YY_BREAK
-case 119:
-YY_RULE_SETUP
-#line 246 "fortran.lex"
-{return TOK_SINH;}
-	YY_BREAK
-case 120:
-YY_RULE_SETUP
-#line 247 "fortran.lex"
-{return TOK_ASIN;}
-	YY_BREAK
-case 121:
-YY_RULE_SETUP
-#line 248 "fortran.lex"
-{return TOK_LOG;}
-	YY_BREAK
-case 122:
-YY_RULE_SETUP
-#line 249 "fortran.lex"
-{return TOK_TAN;}
-	YY_BREAK
-case 123:
+                              return TOK_FORMAT; }
+	YY_BREAK
+case 144:
 YY_RULE_SETUP
 #line 250 "fortran.lex"
-{return TOK_ATAN;}
-	YY_BREAK
-case 124:
+{ strcpy(yylval.na,fortran_text); return TOK_SLASH; }
+	YY_BREAK
+case 145:
 YY_RULE_SETUP
 #line 251 "fortran.lex"
-{return TOK_CYCLE;}
-	YY_BREAK
-case 125:
+{ strcpy(yylval.na,fortran_text); return TOK_DSLASH; }
+	YY_BREAK
+case 146:
+/* rule 146 can match eol */
 YY_RULE_SETUP
 #line 252 "fortran.lex"
-{return TOK_ABS;}
-	YY_BREAK
-case 126:
-YY_RULE_SETUP
-#line 253 "fortran.lex"
-{return TOK_MOD;}
-	YY_BREAK
-case 127:
+{
+                              strcpy(yylval.na,fortran_text); return TOK_CHAR_CUT; }
+	YY_BREAK
+case 147:
+/* rule 147 can match eol */
 YY_RULE_SETUP
 #line 254 "fortran.lex"
-{return TOK_SIGN;}
-	YY_BREAK
-case 128:
+{ strcpy(yylval.na,fortran_text);return TOK_CHAR_CONSTANT; }
+	YY_BREAK
+case 148:
+/* rule 148 can match eol */
 YY_RULE_SETUP
 #line 255 "fortran.lex"
-{return TOK_MINLOC;}
-	YY_BREAK
-case 129:
+{ strcpy(yylval.na,fortran_text);return TOK_CHAR_MESSAGE; }
+	YY_BREAK
+case 149:
 YY_RULE_SETUP
 #line 256 "fortran.lex"
-{return TOK_MAXLOC;}
-	YY_BREAK
-case 130:
+{ BEGIN(donottreat); }
+	YY_BREAK
+case 150:
+/* rule 150 can match eol */
 YY_RULE_SETUP
 #line 257 "fortran.lex"
-{return TOK_MINVAL;}
-	YY_BREAK
-case 131:
+{ out_of_donottreat(); return '\n'; }
+	YY_BREAK
+case 151:
 YY_RULE_SETUP
 #line 258 "fortran.lex"
-{return TOK_BACKSPACE;}
-	YY_BREAK
-case 132:
+{ strcpy(yylval.na,fortran_text); return TOK_NAME; }
+	YY_BREAK
+case 152:
+/* rule 152 can match eol */
+*yy_cp = (yy_hold_char); /* undo effects of setting up fortran_text */
+(yy_c_buf_p) = yy_cp -= 1;
+YY_DO_BEFORE_ACTION; /* set up fortran_text again */
 YY_RULE_SETUP
 #line 259 "fortran.lex"
-{return TOK_LEFTAB;}
-	YY_BREAK
-case 133:
-YY_RULE_SETUP
-#line 260 "fortran.lex"
-{return TOK_RIGHTAB;}
-	YY_BREAK
-case 134:
-/* rule 134 can match eol */
+{  // REAL1
+                              strcpy(yylval.na,fortran_text); return TOK_CSTREAL; }
+	YY_BREAK
+case 153:
 YY_RULE_SETUP
 #line 261 "fortran.lex"
-{return TOK_FORMAT;}
-	YY_BREAK
-case 135:
-YY_RULE_SETUP
-#line 262 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_DOUBLEPRECISION;}
-	YY_BREAK
-case 136:
+{  // REAL2
+                              strcpy(yylval.na,fortran_text); return TOK_CSTREAL; }
+	YY_BREAK
+case 154:
 YY_RULE_SETUP
 #line 263 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_DOUBLECOMPLEX;}
-	YY_BREAK
-case 137:
+{ strcpy(yylval.na,fortran_text); return TOK_CSTINT; }
+	YY_BREAK
+case 155:
 YY_RULE_SETUP
 #line 264 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_SLASH;}
-	YY_BREAK
-case 138:
+{}
+	YY_BREAK
+case 156:
 YY_RULE_SETUP
 #line 265 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_DSLASH;}
-	YY_BREAK
-case 139:
-/* rule 139 can match eol */
+{}
+	YY_BREAK
+case 157:
 YY_RULE_SETUP
 #line 266 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_CHAR_CUT;}
-	YY_BREAK
-case 140:
+{ strcpy(yylval.na,fortran_text); return (int) *fortran_text; }
+	YY_BREAK
+case 158:
 YY_RULE_SETUP
 #line 267 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_CHAR_CONSTANT;}
-	YY_BREAK
-case 141:
+{ strcpy(yylval.na,fortran_text); return (int) *fortran_text; }
+	YY_BREAK
+case 159:
 YY_RULE_SETUP
 #line 268 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_CHAR_MESSAGE;}
-	YY_BREAK
-case 142:
+{ return TOK_SEMICOLON; }
+	YY_BREAK
+case 160:
 YY_RULE_SETUP
 #line 269 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_CHAR_INT;}
-	YY_BREAK
-case 143:
+{ return (int) *fortran_text; }
+	YY_BREAK
+case 161:
 YY_RULE_SETUP
 #line 270 "fortran.lex"
-{printf("debug interfacer\n");BEGIN(donottreat);}
-	YY_BREAK
-case 144:
-/* rule 144 can match eol */
+{ return (int) *fortran_text; }
+	YY_BREAK
+case 162:
 YY_RULE_SETUP
 #line 271 "fortran.lex"
-{
-						BEGIN(INITIAL);
-                        if (infixed) BEGIN(fortran77style) ;
-                        if (infree) BEGIN(fortran90style)  ;
-                        line_num_fortran++;line_num_fortran_common++;
-                        return '\n';
-						}
-	YY_BREAK
-case 145:
-YY_RULE_SETUP
-#line 278 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_NAME;}
-	YY_BREAK
-case 146:
-YY_RULE_SETUP
-#line 279 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_CSTREAL;}
-	YY_BREAK
-case 147:
-YY_RULE_SETUP
-#line 280 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_CSTREALDP;}
-	YY_BREAK
-case 148:
-YY_RULE_SETUP
-#line 281 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_CSTREALQP;}
-	YY_BREAK
-case 149:
-/* rule 149 can match eol */
-*yy_cp = (yy_hold_char); /* undo effects of setting up fortrantext */
+{ return (int) *fortran_text; }
+	YY_BREAK
+case 163:
+YY_RULE_SETUP
+#line 272 "fortran.lex"
+{ return (int) *fortran_text; }
+	YY_BREAK
+case 164:
+/* rule 164 can match eol */
+YY_RULE_SETUP
+#line 273 "fortran.lex"
+{ INCREMENT_LINE_NUM() ; return '\n'; }
+	YY_BREAK
+case 165:
+*yy_cp = (yy_hold_char); /* undo effects of setting up fortran_text */
 (yy_c_buf_p) = yy_cp -= 1;
-YY_DO_BEFORE_ACTION; /* set up fortrantext again */
-YY_RULE_SETUP
-#line 282 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_CSTREAL;}
-	YY_BREAK
-case 150:
-YY_RULE_SETUP
-#line 283 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return TOK_CSTINT;}
-	YY_BREAK
-case 151:
-YY_RULE_SETUP
-#line 284 "fortran.lex"
+YY_DO_BEFORE_ACTION; /* set up fortran_text again */
+YY_RULE_SETUP
+#line 274 "fortran.lex"
 {}
 	YY_BREAK
-case 152:
-YY_RULE_SETUP
-#line 285 "fortran.lex"
-{return TOK_QUOTE;}
-	YY_BREAK
-case 153:
-YY_RULE_SETUP
-#line 286 "fortran.lex"
+case 166:
+YY_RULE_SETUP
+#line 275 "fortran.lex"
 {}
 	YY_BREAK
-case 154:
-YY_RULE_SETUP
-#line 287 "fortran.lex"
-{strcpy(yylval.na,fortrantext);return (int) *fortrantext;}
-	YY_BREAK
-case 155:
-YY_RULE_SETUP
-#line 288 "fortran.lex"
-{afterpercent = 1; strcpy(yylval.na,fortrantext);return (int) *fortrantext;}
-	YY_BREAK
-case 156:
-YY_RULE_SETUP
-#line 289 "fortran.lex"
-{return TOK_SEMICOLON;}
-	YY_BREAK
-case 157:
-YY_RULE_SETUP
-#line 290 "fortran.lex"
-{return (int) *fortrantext;}
-	YY_BREAK
-case 158:
-YY_RULE_SETUP
-#line 291 "fortran.lex"
-{return (int) *fortrantext;}
-	YY_BREAK
-case 159:
-YY_RULE_SETUP
-#line 292 "fortran.lex"
-{return (int) *fortrantext;}
-	YY_BREAK
-case 160:
-YY_RULE_SETUP
-#line 293 "fortran.lex"
-{return (int) *fortrantext;}
-	YY_BREAK
-case 161:
-/* rule 161 can match eol */
-YY_RULE_SETUP
-#line 294 "fortran.lex"
-{colnum=0;line_num_fortran++;line_num_fortran_common++; return (int) *fortrantext;}
-	YY_BREAK
-case 162:
-*yy_cp = (yy_hold_char); /* undo effects of setting up fortrantext */
-(yy_c_buf_p) = yy_cp -= 1;
-YY_DO_BEFORE_ACTION; /* set up fortrantext again */
-YY_RULE_SETUP
-#line 295 "fortran.lex"
-
-	YY_BREAK
-case 163:
-YY_RULE_SETUP
-#line 296 "fortran.lex"
-{if (newlinef90 == 0) return TOK_LABEL; else newlinef90 = 0;}
-	YY_BREAK
-case 164:
-YY_RULE_SETUP
-#line 297 "fortran.lex"
-
-	YY_BREAK
-case 165:
-YY_RULE_SETUP
-#line 298 "fortran.lex"
-{colnum=colnum-1+tabsize;}
-	YY_BREAK
-case 166:
-YY_RULE_SETUP
-#line 299 "fortran.lex"
-;
-	YY_BREAK
 case 167:
-/* rule 167 can match eol */
-YY_RULE_SETUP
-#line 300 "fortran.lex"
-{line_num_fortran++;line_num_fortran_common++;newlinef90=1;colnum=0;}
+YY_RULE_SETUP
+#line 276 "fortran.lex"
+{ if (newlinef90 == 0) return TOK_LABEL; else newlinef90 = 0; }
 	YY_BREAK
 case 168:
 /* rule 168 can match eol */
 YY_RULE_SETUP
-#line 301 "fortran.lex"
-{line_num_fortran++;line_num_fortran_common++;colnum=0;}
+#line 277 "fortran.lex"
+{ INCREMENT_LINE_NUM() ; newlinef90=1; }
 	YY_BREAK
 case 169:
 /* rule 169 can match eol */
 YY_RULE_SETUP
-#line 302 "fortran.lex"
-{
-                           convert2lower(motparse1);
-                           if ( strncasecmp(motparse1,"contains",8) == 0 )
-                           {
-                              return TOK_CONTAINS;
-                           }
-                           else
-                           {
-                            /*  colnum=0;line_num_fortran++;line_num_fortran_common++;*/
-                             if ( !strcasecmp(motparse1,"C$AGRIF_DO_NOT_TREAT\n")) 
-                             return TOK_DONOTTREAT;
-                             if ( !strcasecmp(motparse1,"C$AGRIF_END_DO_NOT_TREAT\n")) return TOK_ENDDONOTTREAT;
-                             unput('\n');
-                           }
-                         }
+#line 278 "fortran.lex"
+{ INCREMENT_LINE_NUM() ; }
 	YY_BREAK
 case 170:
 /* rule 170 can match eol */
 YY_RULE_SETUP
-#line 317 "fortran.lex"
-{
-                           convert2lower(&motparse1[1]);
-                           if ( strncasecmp(&motparse1[1],"contains",8) == 0 )
-                           {
-                              return TOK_CONTAINS;
-                           }
-                           else
-                           {
-                             /* colnum=0;line_num_fortran++;line_num_fortran_common++;*/
-                             if ( !strcasecmp(&motparse1[1],"C$AGRIF_DO_NOT_TREAT\n")) 
-                             return TOK_DONOTTREAT;
-                             if ( !strcasecmp(&motparse1[1],"C$AGRIF_END_DO_NOT_TREAT\n")) return TOK_ENDDONOTTREAT;
-                             unput('\n');
-                           }
-                         }                            
+#line 280 "fortran.lex"
+{ INCREMENT_LINE_NUM() ; BEGIN(donottreat); }
 	YY_BREAK
 case 171:
 /* rule 171 can match eol */
 YY_RULE_SETUP
-#line 332 "fortran.lex"
-{
-						BEGIN(donottreat);
-						}
+#line 281 "fortran.lex"
+{ out_of_donottreat(); return '\n'; }
 	YY_BREAK
 case 172:
 /* rule 172 can match eol */
 YY_RULE_SETUP
-#line 335 "fortran.lex"
-{
-						BEGIN(INITIAL);
-                        if (infixed) BEGIN(fortran77style) ;
-                        if (infree) BEGIN(fortran90style)  ;
-                        line_num_fortran++;line_num_fortran_common++;
-                        return '\n';
-						}
+#line 282 "fortran.lex"
+{ INCREMENT_LINE_NUM() ; }
 	YY_BREAK
 case 173:
 /* rule 173 can match eol */
 YY_RULE_SETUP
-#line 342 "fortran.lex"
-{line_num_fortran++;line_num_fortran_common++;}
+#line 283 "fortran.lex"
+{ INCREMENT_LINE_NUM() ; }
 	YY_BREAK
 case 174:
 /* rule 174 can match eol */
 YY_RULE_SETUP
-#line 343 "fortran.lex"
-{
-                             colnum = 0;
-                             if ( !strcasecmp(motparse1,"!$AGRIF_DO_NOT_TREAT\n")) return TOK_DONOTTREAT;
-                             if ( !strcasecmp(motparse1,"!$AGRIF_END_DO_NOT_TREAT\n")) return TOK_ENDDONOTTREAT;
-                          }
+#line 284 "fortran.lex"
+{ INCREMENT_LINE_NUM() ; }
 	YY_BREAK
 case 175:
 YY_RULE_SETUP
-#line 348 "fortran.lex"
-{
-                             colnum = 0;
-                             if ( !strcasecmp(motparse1,"!$AGRIF_DO_NOT_TREAT\n")) return TOK_DONOTTREAT;
-                             if ( !strcasecmp(motparse1,"!$AGRIF_END_DO_NOT_TREAT\n")) return TOK_ENDDONOTTREAT;
-                          }
+#line 285 "fortran.lex"
+{}
 	YY_BREAK
 case 176:
 YY_RULE_SETUP
-#line 353 "fortran.lex"
+#line 286 "fortran.lex"
 ECHO;
 	YY_BREAK
-#line 4224 "fortran.yy.c"
+#line 3015 "fortran.yy.c"
 case YY_STATE_EOF(INITIAL):
 case YY_STATE_EOF(parameter):
